FT_4222_Defines

com.ftdi.j2xx.ft4222

## Class FT_4222_Defines

- java.lang.Object
- - com.ftdi.j2xx.ft4222.FT_4222_Defines

-     public class FT_4222_Defines
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `FT_4222_Defines.CHIPTOP_CMD`
    `class` | `FT_4222_Defines.FT4222_ClockRate`
    `class` | `FT_4222_Defines.FT4222_FUNCTION`
    `class` | `FT_4222_Defines.FT4222_SPIClock`
    `class` | `FT_4222_Defines.FT4222_SPICPHA`
    `class` | `FT_4222_Defines.FT4222_SPICPOL`
    `class` | `FT_4222_Defines.FT4222_SPIMode`
    `class` | `FT_4222_Defines.FT4222_STATUS`
    `class` | `FT_4222_Defines.GPIO_Dir`
    `class` | `FT_4222_Defines.GPIO_Output`
    `class` | `FT_4222_Defines.GPIO_Port`
    `class` | `FT_4222_Defines.GPIO_Tigger`
    `class` | `FT_4222_Defines.I2C_CMD`
    `class` | `FT_4222_Defines.I2C_MasterFlag`
    `class` | `FT_4222_Defines.SPI_CMD`
    `class` | `FT_4222_Defines.SPI_DrivingStrength`
    `class` | `FT_4222_Defines.SPI_SLAVE_CMD`
    `class` | `FT_4222_Defines.SPI_SS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHIPTOP_DEBUG_REQUEST`
    `static int` | `CHIPTOP_DEBUG_SET_CHIPTOP_REG`
    `static int` | `CHIPTOP_DEBUG_SET_OTP_REG`
    `static int` | `CHIPTOP_DEBUG_SET_SFR`
    `static int` | `CHIPTOP_DEBUG_SET_USB_REG`
    `static int` | `DEBUG_REQ_CHIP_STATUS`
    `static int` | `DEBUG_REQ_READ_CHIPTOP_REG`
    `static int` | `DEBUG_REQ_READ_OTP_DATA`
    `static int` | `DEBUG_REQ_READ_OTP_REG`
    `static int` | `DEBUG_REQ_READ_SFR`
    `static int` | `DEBUG_REQ_READ_USB_REG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_4222_Defines()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHIPTOP_DEBUG_REQUEST

          public static final int CHIPTOP_DEBUG_REQUEST

      See Also:
        Constant Field Values

    - #### CHIPTOP_DEBUG_SET_CHIPTOP_REG

          public static final int CHIPTOP_DEBUG_SET_CHIPTOP_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_DEBUG_SET_USB_REG

          public static final int CHIPTOP_DEBUG_SET_USB_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_DEBUG_SET_OTP_REG

          public static final int CHIPTOP_DEBUG_SET_OTP_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_DEBUG_SET_SFR

          public static final int CHIPTOP_DEBUG_SET_SFR

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_CHIP_STATUS

          public static final int DEBUG_REQ_CHIP_STATUS

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_READ_CHIPTOP_REG

          public static final int DEBUG_REQ_READ_CHIPTOP_REG

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_READ_USB_REG

          public static final int DEBUG_REQ_READ_USB_REG

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_READ_OTP_REG

          public static final int DEBUG_REQ_READ_OTP_REG

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_READ_SFR

          public static final int DEBUG_REQ_READ_SFR

      See Also:
        Constant Field Values

    - #### DEBUG_REQ_READ_OTP_DATA

          public static final int DEBUG_REQ_READ_OTP_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FT_4222_Defines

          public FT_4222_Defines()

About FTDI | FTDI Licence Terms